Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class BillDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO
ru.bgcrm.plugin.bgbilling.proto.dao.BillDAO

public class BillDAO extends BillingModuleDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `moduleId`

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillDAO(User user, String billingId, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `contractDocTypeAdd(int contractId, String typeIds)`
  `void`
  `contractDocTypeDelete(int contractId, String typeIds)`
  `List<Attribute>`
  `getAttributeList(int contractId)`
  `List<AttributeType>`
  `getAttributeTypeList()`
  `Pair<List<IdTitle>,List<IdTitle>>`
  `getContractDocTypeList(int contractId, String type)`
  `byte[]`
  `getDocumentsPdf(String ids, String type)`
  `void`
  `searchBillList(int contractId, Pageable<Bill> searchResult)`
  `void`
  `searchInvoiceList(int contractId, Pageable<Invoice> searchResult)`
  `void`
  `setPayed(String ids, boolean value, Date date, BigDecimal summa, String comment)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `getModuleId, setModuleId`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BillDAO

    public BillDAO(User user, String billingId, int moduleId)

- ## Method Details

  - ### getAttributeTypeList

    public List<AttributeType> getAttributeTypeList()

  - ### getAttributeList

    public List<Attribute> getAttributeList(int contractId)

  - ### getContractDocTypeList

    public Pair<List<IdTitle>,List<IdTitle>> getContractDocTypeList(int contractId, String type)

  - ### contractDocTypeAdd

    public void contractDocTypeAdd(int contractId, String typeIds)

  - ### contractDocTypeDelete

    public void contractDocTypeDelete(int contractId, String typeIds)

  - ### searchBillList

    public void searchBillList(int contractId, Pageable<Bill> searchResult)

  - ### searchInvoiceList

    public void searchInvoiceList(int contractId, Pageable<Invoice> searchResult)

  - ### setPayed

    public void setPayed(String ids, boolean value, Date date, BigDecimal summa, String comment)

  - ### getDocumentsPdf

    public byte[] getDocumentsPdf(String ids, String type)